@tailwind base;
@tailwind components;
@tailwind utilities;

 body {
    @apply font-sans  text-sm
 }

 .nav_item {
    @apply flex text-center  lg:text-sm font-[500] border-b-2 duration-300 border-b-white px-2 text-xs py-2 hover:border-primary
 }

 .heading {
    @apply text-2xl text-primary font-[500]
 }

 .headingBlack {
  @apply text-2xl font-[500]
 }

 .carouselButton {
    @apply text-3xl px-3 py-2 duration-300 bg-koyugri hover:bg-primary hover:text-white
 }

 .container-fluid {
   @apply max-w-[2560px] mx-auto overflow-hidden
 }

 .homeproductsilder .swiper-slide{
   @apply  max-w-96
 }

 .homeproductsilder {
   @apply  flex justify-center items-center  w-full
 }

 .input {
   @apply border w-full px-4 py-2 text-sm
 }
 .paragraf {
  @apply text-sm space-y-4   lg:text-lg
 }
 .grid-container {
  @apply columns-1 md:columns-3 gap-4 space-y-4
 }

 .grid-container .item {
  @apply  relative  h-full w-full bg-no-repeat bg-cover break-inside-avoid
 }

 .select {
  @apply border-2 w-full py-2 px-3 border-primary
 }
  
 .job_active{
  @apply border-primary
 }
 
 .grid-container .item  img.bgresim {
  @apply  w-full h-full
  }

 .tablo {
  @apply table
 }
  .tablo tr{
    @apply  even:bg-gri  
  }
  .tablo tr td {
    @apply py-3 px-4 first:text-primary
  }

  .main-gradient{
    background:linear-gradient(142deg, #001a37 0, #0c44809e 45%, #0c448000 100%);
  }

  .black-gradient{
    background:linear-gradient(162deg, #000000 0, #002c5b9e 55%, #00000000 100%);
  }


  .ico-whiten{
    filter: grayscale(1) brightness(1000%);
  }

  .pagination {
    @apply flex flex-wrap gap-2
  }

  .pagination button {
    @apply  px-4 py-2 bg-primary text-white
  }

  .pagination button.active {
    @apply  bg-black
  }






#descarea {
    @apply w-full text-sm  ;
}

#descarea table {
    @apply min-w-full table-auto border-collapse bg-white shadow-md rounded-lg overflow-hidden;
}

#descarea thead {
    @apply bg-gray-100 text-gray-600;
}

#descarea th {
    @apply py-3 px-6 text-left font-semibold;
}

#descarea tbody tr {
    @apply border-b border-gray-200;
}

#descarea td {
    @apply py-3 px-6 text-left text-gray-800;
}

#descarea tbody tr:hover {
    @apply bg-gray-50;
}

#descarea tbody tr:nth-child(even) {
    @apply bg-gray-50;
}

#descarea ul {
  @apply list-none; /* Noktayı kaldırır */
  padding-left: 0; /* Varsayılan girintiyi kaldırır */
}

#descarea li {
  @apply py-2; /* Liste elemanlarına biraz iç boşluk ekler */
}

.content h2 {
  @apply text-2xl font-bold mb-4; /* Başlık için stil ayarları */
}
.content h3 {
  @apply text-xl font-semibold mb-3; /* Alt başlık için stil ayarları */
}
.content p {
  @apply text-gray-700 mb-4; /* Paragraf için stil ayarları */
}
.content ul {
  @apply list-disc pl-5; /* Liste için stil ayarları */
}
.content ul li {
  @apply mb-2; /* Liste elemanları için stil ayarları */
}
.content ul li::marker {
  @apply text-primary; /* Liste işaretçileri için stil ayarları */
}
.content ul li::before {
  @apply content-['•'] text-primary mr-2; /* Liste işaretçileri için stil ayarları */
}

.goog-te-combo {
  display: none !important;
  height: 0px !important;
}

.skiptranslate {
  display: none !important;
}

.trs {
  @apply lg:-translate-y-24 
}

.trs3 {
  @apply translate-x-3
}